using System;
using System.Collections.Generic;

namespace Encompass
{
    [AttributeUsage(AttributeTargets.Class)]
    public class Sends : Attribute
    {
        public readonly HashSet<Type> SendTypes;

        public Sends(params Type[] sendTypes)
        {
            this.SendTypes = new HashSet<Type>(sendTypes);
        }
    }
}
